#if !defined(AFX_SETCHEXTREFID_H__214453D2_72F9_4E75_8BFE_3BE9EE818EB5__INCLUDED_)
#define AFX_SETCHEXTREFID_H__214453D2_72F9_4E75_8BFE_3BE9EE818EB5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetCHExtRefID.h : header file
//
#if defined WPPCS
/////////////////////////////////////////////////////////////////////////////
// CSetCHExtRefID dialog

class CSetCHExtRefID : public CDialog
{
// Construction
public:
	CSetCHExtRefID(CWnd* pParent = NULL);   // standard constructor
	CSetCHExtRefID(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CSetCHExtRefID)
	enum { IDD = IDD_SET_EXTREFID_CH };
	CEdit	m_CtlExtRefID;
	CComboBox	m_CHLsit;
	CComboBox	m_AcctList;
	CString	m_ExtRefID;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetCHExtRefID)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetCHExtRefID)
	virtual BOOL OnInitDialog();
	afx_msg void OnSet();
	afx_msg void OnClear();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeChlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadCardHolders();
	void GetCHDetails();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif //WPPCS

#endif // !defined(AFX_SETCHEXTREFID_H__214453D2_72F9_4E75_8BFE_3BE9EE818EB5__INCLUDED_)
